> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/outlines-bookmarks/remove.md).

# Removing outlines from PDFs using JavaScript

Learn how to remove outlines from PDFs using JavaScript with this code snippet. Access the Full API in WebViewer to edit existing outline items and create new bookmarks effortlessly. The Apryse Web SD

{% hint style="info" %}
**Requirements**

*These packages are required to use these features in production. Trial keys have unlimited access to all features*

<a href="https://apryse.com/capabilities#PageManipulation" class="button primary">Package: Page Manipulation</a>
{% endhint %}

{% hint style="warning" %}
Make sure you have [Full API enabled in WebViewer.](/web/what-is-webviewer/full-api.md)
{% endhint %}

To remove an outline by title in an existing document.

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
<html>
  <script src="../lib/core/CoreControls.js"></script>
  <script src="../lib/core/pdf/PDFNet.js"></script>
  <script>
    (async function() {
      CoreControls.setWorkerPath('../lib/core');
      const doc = await PDFNet.PDFDoc.createFromURL(filename);

      // how to find and delete a outline by title text.
      const firstOutline = await doc.getFirstBookmark();
      const foo = await firstOutline.find('foo');
      if (await foo.isValid()) {
        foo.delete();
      }
    })()
  </script>
</html>
```

{% endcode %}
{% endtab %}
{% endtabs %}

[PDFNet.PDFDoc.createFromURL](https://sdk.apryse.com/api/web/Core.PDFNet.PDFDoc.html#.createFromURL__anchor) [PDFNet.PDFDoc.getFirstBookmark](https://sdk.apryse.com/api/web/Core.PDFNet.PDFDoc.html#getFirstBookmark__anchor) [PDFNet.Bookmark.find](https://sdk.apryse.com/api/web/Core.PDFNet.Bookmark.html#find__anchor) [PDFNet.Bookmark.isValid](https://sdk.apryse.com/api/web/Core.PDFNet.Bookmark.html#isValid__anchor) [CoreControls.setWorkerPath](https://sdk.apryse.com/api/web/Core.html#.setWorkerPath__anchor)

[Read, add, edit PDF outlines](/web/get-started/samples.md#bookmarks) Full code sample which illustrates how to read and edit existing outline items and create new bookmarks using the high-level API

## About removing an outline

The PDF Bookmarks class also allows you to quickly find Outlines based on the title text. For example, the above code snippet looks for a Outline called *foo* and then removes it from the outline tree.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/outlines-bookmarks/remove.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
